-- add to any script loaded within the mod.

-- store category is "UAZ_PACK"
-- create an store image named "store_category.dds" and store in root folder of mod which have this script

--[[ xml for modDesc
<l10n>
        <text name="UAZ_PACK">
            <en>New Store Category</en>
        </text>
</l10n>
]]


if not Utils.SOB_CATEGORY then
    Utils.SOB_CATEGORY = true;
    local name = "UAZ_PACK"
    
    if StoreItemsUtil.storeCategories[name] == nil then
        local numCat = 0;
        
        for catName in pairs(StoreItemsUtil.storeCategories) do
            numCat = numCat + 1;
        end;
        
        StoreItemsUtil.storeCategories[name] = {orderId = numCat + 1, name = name, title = g_i18n:getText(name), image = g_currentModDirectory .. "store.dds"};
    end;
end;